org.keycloak.protocol.docker

## Class DockerAuthV2ProtocolFactory

- java.lang.Object
- - org.keycloak.protocol.AbstractLoginProtocolFactory
  - - org.keycloak.protocol.docker.DockerAuthV2ProtocolFactory

- All Implemented Interfaces:
    LoginProtocolFactory, EnvironmentDependentProviderFactory, ProviderFactory<LoginProtocol>

      public class DockerAuthV2ProtocolFactory
      extends AbstractLoginProtocolFactory
      implements EnvironmentDependentProviderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockerAuthV2ProtocolFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDefaults(ClientModel client)`
    `LoginProtocol` | `create(KeycloakSession session)`
    `protected void` | `createDefaultClientScopesImpl(RealmModel newRealm)` Impl should create default client scopes.
    `Object` | `createProtocolEndpoint(RealmModel realm, EventBuilder event)`
    `Map<String,ProtocolMapperModel>` | `getBuiltinMappers()` List of built in protocol mappers that can be used to apply to clients.
    `String` | `getId()`
    `boolean` | `isSupported()`
    `int` | `order()`
    `void` | `setupClientDefaults(ClientRepresentation rep, ClientModel newClient)` Setup default values for new clients.

    - ### Methods inherited from class org.keycloak.protocol.AbstractLoginProtocolFactory

      `addDefaultClientScopes, addDefaultClientScopes, close, createDefaultClientScopes, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockerAuthV2ProtocolFactory

          public DockerAuthV2ProtocolFactory()

  - ### Method Detail

    - #### createDefaultClientScopesImpl

          protected void createDefaultClientScopesImpl(RealmModel newRealm)

      Description copied from class: `AbstractLoginProtocolFactory`
      Impl should create default client scopes. This is called usually when new realm is created
      Specified by:
        `createDefaultClientScopesImpl` in class `AbstractLoginProtocolFactory`

    - #### addDefaults

          protected void addDefaults(ClientModel client)

      Specified by:
        `addDefaults` in class `AbstractLoginProtocolFactory`

    - #### getBuiltinMappers

          public Map<String,ProtocolMapperModel> getBuiltinMappers()

      Description copied from interface: `LoginProtocolFactory`
      List of built in protocol mappers that can be used to apply to clients.
      Specified by:
        `getBuiltinMappers` in interface `LoginProtocolFactory`
      Returns:

    - #### createProtocolEndpoint

          public Object createProtocolEndpoint(RealmModel realm,
                                               EventBuilder event)

      Specified by:
        `createProtocolEndpoint` in interface `LoginProtocolFactory`

    - #### setupClientDefaults

          public void setupClientDefaults(ClientRepresentation rep,
                                          ClientModel newClient)

      Description copied from interface: `LoginProtocolFactory`
      Setup default values for new clients. This expects that the representation has already set up the client
      Specified by:
        `setupClientDefaults` in interface `LoginProtocolFactory`

    - #### create

          public LoginProtocol create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<LoginProtocol>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<LoginProtocol>`

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in interface `EnvironmentDependentProviderFactory`
      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

    - #### order

          public int order()

      Specified by:
        `order` in interface `ProviderFactory<LoginProtocol>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.